Bug 1331972 - Review Request: qblade - Wind Turbine Rotor Design and Simulation
Summary: Review Request: qblade - Wind Turbine Rotor Design and Simulation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-30 17:45 UTC by Antonio T. (sagitter)
Modified: 2017-02-07 04:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-30 21:22:00 UTC
Type: ---
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Antonio T. (sagitter) 2016-04-30 17:45:57 UTC
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/sagitter/Ipopt-EPEL/qblade.git/plain/qblade.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/sagitter/Ipopt-EPEL/fedora-rawhide-x86_64/00182173-qblade/qblade-0.9.1-1.fc25.src.rpm

Description:
QBlade is a Blade Element Momentum Method (BEM),
Double Multiple Streamtube (DMS) and nonlinear
Lifting Line Theory (LLT) Design and Simulation Software
for Vertical and Horizontal Axis Wind Turbines.
It also includes tools to setup and simulate the internal
blade structure and perform an aeroelastic analysis of a
wind turbine rotor in turbulent inflow conditions through
a coupling with FAST from NREL.

Fedora Account System Username: sagitter

This package is for Fedora only.

Comment 1 Jerry James 2016-05-20 15:01:26 UTC
I will take this review.

Comment 2 Jerry James 2016-05-20 21:07:42 UTC
Bugzilla rejected my first attempt, because it is longer than 65535 characters.  What an odd limit. :-)  I'm removing the very long list of files that have a bad FSF address to bring the size down.

Issues:
1. This package has a bundled copy of eigen3.  Is that necessary, or can the
   system eigen3 be used?  Note that the bundled code has licenses that differ
   from the main package, namely some of it is MPL, some LGPL, and some BSD.
   If eigen3 is not unbundled, the License field will have to be updated to
   reflect this.

2. The appdata.xml file contains a copyright notice for Richard Hughes.
   Really, or is that a cut and paste oversight?  (I'm also not certain that
   declaring a copyright is useful, since the CC0 declaration is essentially
   an abandonment of copyright.)

3. Regarding version numbering, it looks like upstream intends this to be
   version 0.91, not 0.9.1.  At least, I see the string "0.91" in several
   places, such as src/MainFrame.cpp, src/QBladeApplication.cpp, and
   src/XBEM/BEM.cpp.  That change would let you insert a %{version} into the
   %setup line in %prep.

4. Patches SHOULD have an explanatory comment:
   https://fedoraproject.org/wiki/Packaging:Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

5. Yet another project that hasn't figured out that the FSF moved in 2005.  I
   have lots of those, too. :-)  Please let upstream know that the address they
   are telling people to write to hasn't been valid for 11 years.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MPL (v2.0) LGPL (v2.1 or later)", "Unknown or generated", "MPL
     (v2.0) LGPL (v2.1 or later) LGPL (v2.1 or later)", "GPL (v2 or later)
     (with incorrect FSF address)", "BSD (3 clause)", "MPL (v2.0)", "MPL
     (v2.0) LGPL (unversioned/unknown version)". 165 files have unknown
     license.
[X]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 727040 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1105920 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qblade-0.9.1-1.fc25.x86_64.rpm
          qblade-debuginfo-0.9.1-1.fc25.x86_64.rpm
          qblade-0.9.1-1.fc25.src.rpm
qblade.x86_64: W: spelling-error %description -l en_US aeroelastic -> thermoplastic
qblade.x86_64: W: invalid-url URL: http://www.q-blade.org/ timed out
qblade.x86_64: E: incorrect-fsf-address /usr/share/licenses/qblade/License.txt
qblade.x86_64: W: no-manual-page-for-binary QBlade
qblade-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/QBlade_v0.91_source/src/XLLT/QLLTSimulation.cpp

[ Very long list of incorrect-fsf-address warnings removed to humor bugzilla. ]

qblade.src: W: spelling-error %description -l en_US aeroelastic -> thermoplastic
3 packages and 0 specfiles checked; 210 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: qblade-debuginfo-0.9.1-1.fc25.x86_64.rpm
qblade-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/QBlade_v0.91_source/src/Design/AFoilGridDlg.h

[ Very long list of incorrect-fsf-address warnings removed to humor bugzilla. ]

qblade-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/QBlade_v0.91_source/src/XLLT/QLLTToolBar.h
1 packages and 0 specfiles checked; 209 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
qblade.x86_64: W: spelling-error %description -l en_US aeroelastic -> thermoplastic
qblade.x86_64: E: incorrect-fsf-address /usr/share/licenses/qblade/License.txt
qblade.x86_64: W: no-manual-page-for-binary QBlade
qblade-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/QBlade_v0.91_source/src/XUnsteadyBEM/WindFieldCreatorDock.cpp

[ Very long list of incorrect-fsf-address warnings removed to humor bugzilla. ]

qblade-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/QBlade_v0.91_source/src/XDirect/FoilGeomDlg.h
2 packages and 0 specfiles checked; 210 errors, 2 warnings.



Requires
--------
qblade (rpmlib, GLIBC filtered):
    /bin/sh
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libQGLViewer-qt5.so.2.5.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.6)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5OpenGL.so.5()(64bit)
    libQt5OpenGL.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

qblade-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
qblade:
    appdata()
    appdata(qblade.appdata.xml)
    application()
    application(qblade.desktop)
    qblade
    qblade(x86-64)

qblade-debuginfo:
    qblade-debuginfo
    qblade-debuginfo(x86-64)



Source checksums
----------------
https://sourceforge.net/projects/qblade/files/Source/QBlade_v091_source.zip :
  CHECKSUM(SHA256) this package     : 36c4ce38a1b9d1471a527e6e697e78d3e364ac0635ce3495b9f0d0e20d8010df
  CHECKSUM(SHA256) upstream package : 36c4ce38a1b9d1471a527e6e697e78d3e364ac0635ce3495b9f0d0e20d8010df


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1331972 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Antonio T. (sagitter) 2016-05-21 17:17:01 UTC
SPEC: http://copr-dist-git.fedorainfracloud.org/cgit/sagitter/Ipopt-EPEL/qblade.git/plain/qblade.spec

SRPM: https://copr-be.cloud.fedoraproject.org/results/sagitter/Ipopt-EPEL/fedora-rawhide-x86_64/00304407-qblade/qblade-0.91-1.fc25.src.rpm

- Unbundle Eigen
- Version changed to 0.91

(In reply to Jerry James from comment #2)
> Issues:
> 1. This package has a bundled copy of eigen3.  Is that necessary, or can the
>    system eigen3 be used?  Note that the bundled code has licenses that
> differ
>    from the main package, namely some of it is MPL, some LGPL, and some BSD.
>    If eigen3 is not unbundled, the License field will have to be updated to
>    reflect this.

Eigen removed; I had missed it.

> 
> 2. The appdata.xml file contains a copyright notice for Richard Hughes.
>    Really, or is that a cut and paste oversight?  (I'm also not certain that
>    declaring a copyright is useful, since the CC0 declaration is essentially
>    an abandonment of copyright.)

It's a legacy from an old file.

> 
> 3. Regarding version numbering, it looks like upstream intends this to be
>    version 0.91, not 0.9.1.  At least, I see the string "0.91" in several
>    places, such as src/MainFrame.cpp, src/QBladeApplication.cpp, and
>    src/XBEM/BEM.cpp.  That change would let you insert a %{version} into the
>    %setup line in %prep.

Fixed.

Comment 4 Jerry James 2016-05-21 22:51:04 UTC
Looks good.  APPROVED.

Comment 5 Gwyn Ciesla 2016-05-22 14:09:08 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/qblade

Comment 6 Fedora Update System 2016-05-23 14:35:57 UTC
qblade-0.91-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dd27861814

Comment 7 Fedora Update System 2016-05-23 14:36:04 UTC
qblade-0.91-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1525326d3

Comment 8 Fedora Update System 2016-05-24 02:51:39 UTC
qblade-0.91-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e1525326d3

Comment 9 Fedora Update System 2016-05-24 02:55:20 UTC
qblade-0.91-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dd27861814

Comment 10 Fedora Update System 2016-05-30 21:21:58 UTC
qblade-0.91-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-05-31 19:57:12 UTC
qblade-0.91-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.